Subject: Re: bug#11450: 24.1.50; NS regression: fallback font used even when glyph available in primary font

From: Alan Third <[email-masked]>
Date: Sun, 17 Jul 2016 21:41:40 +0100

Steve Purcell <[email-masked]> writes:

> For example, the "GREEK SMALL LETTER LAMDA" (sic) character is
> available in my favoured primary fonts (Pragmata Pro or Anonymous
> Pro), but Emacs 24 still displays the Times New Roman version of the
> character. It turns out that this mistake is also made by Emacs
> 23.3.1.
>
> Meanwhile, OS X's Textedit app renders that character correctly in any
> font which contains it.
>
> Strangely, if Emacs' default font is set to Menlo, the lambda
> character from that font *is* used. The same applies to the "EMPTY
> SET" character.

Hi, are either of you still seeing the problems with the incorrect fonts
being used? The entire font back-end for Emacs on OS X was replaced some
time ago, so hopefully if the problem wasn't sorted before then, that
should have done it.
-- 
Alan Third